[package]
name = "tarball"
version = "0.1.1"
edition.workspace = true
publish = false

[lib]
doctest = false

[dependencies]
anyhow = "1.0.86"
cargo_toml = { workspace = true }
crate_git_checkout = { path = "../crate_git_checkout", version = "0.5" }
hex = { version = "0.4.3", features = ["serde"] }
itertools.workspace = true
libflate = "2.0.0"
log = "0.4.17"
render_readme = { path = "../render_readme" }
util = { path = "../util" }
serde = { workspace = true }
serde_json = "1.0.85"
tar = "0.4.38"
thiserror = "2.0.3"
udedokei = { path = "../udedokei" }
manifest = { path = "../manifest" }
blocking = { path = "../blocking" }
sha1 = "0.10.6"
crossbeam-channel = "0.5.14"
gix-submodule = "0.15"
gix-config = "0.41"
rustc-hash = "2.0"
repo_url = { version = "0.3.3", path = "../repo_url" }
similar = "2.6.0"
chrono.workspace = true
unicode-normalization = "0.1.24"
cargo-lock = "10.0.0"
toml = "0.8.19"
deunicode = "1.6.0"

[dev-dependencies]
repo_url = { path = "../repo_url", version = "0.3.3" }

[lints]
workspace = true
